<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>DNS monitoring</title>
<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />

<script type="text/javascript" src="js/jquery-2.1.1.min.js"></script>
<script type="text/javascript" src="js/highcharts.js"></script>
<script type="text/javascript" src="js/exporting.js"></script>

<script type="text/javascript">
var prot = window.location.protocol;
var host = window.location.host;
var path = window.location.pathname;
var path_arr = path.split('/');
var path_wo_file = (path_arr.slice(1,path_arr.length-1)).join('/') ;
var full_path_wo_file = prot+"//"+host+"/"+path_wo_file;

$.urlParam = function(name){
     var results = new RegExp('[\\?&]' + name + '=([^&#]*)').exec(window.location.href);
     if (results==null){
	return null;
     }
     else{
	return results[1] || 0;
     }
}

var xmlfile = $.urlParam('xmlfile');
var xmlserver = $.urlParam('xmlserver');
var xmltime = $.urlParam('xmltime');
var xmltype = $.urlParam('xmltype');
var xmlfolder = <?php 
	$ini_array = parse_ini_file("rrdconfig.ini",true);
	echo "\"".$ini_array['config']['NSXMLPATH']."\""; 
?>;
var xmlcolors =  <?php
        $ini_array = parse_ini_file("rrdconfig.ini",true);
	$color_arr = explode(",", $ini_array['config']['COLORS']);
	$color_arr_mod = array();
	foreach ($color_arr as $color) { $color_arr_mod[] = preg_replace('/(.+)/', '\'$1\'', $color); }
	echo "[".(implode(",",$color_arr_mod))."]";
?>;

var options = {
	chart: {
		renderTo: 'container',
		type: 'spline'
	},
	title: {
		text: xmlserver + " (" + xmltype + " - " + xmltime + ")"
	},
	subtitle: {
		text: ''
	},
	colors: xmlcolors,
	xAxis: {
		type: 'datetime',
		dateTimeLabelFormats: {
			hour: '%H. %M',
		}
	},
	yAxis: {
		title: {
			text: 'Requests/minute'
		}
	},
	tooltip: {
		formatter: function() {
			return '<b>' + this.series.name + '</b><br/>' + Highcharts.dateFormat('%Y.%m.%d-%H:%M', this.x) + ': ' + this.y.toFixed(1) + ' request(s)';
		}
	},
	exporting : {
		url: full_path_wo_file + '/exporting-server/index.php'
	},
	plotOptions: {
		series: {
			marker: {
				radius: 2
			}
		}
	},
	series: []
}
function show_graph() {
	Highcharts.setOptions({
		global: {
			useUTC: false
		}
	});

	$.ajax({
		type: "GET",
		url: xmlfolder+"/"+xmlfile,
		dataType: "xml",
		success: function(xml) {
			var series = []
			$(xml).find("entry").each(function() {
				var seriesOptions = {
					name: $(this).text(),
					data: []
				};
				options.series.push(seriesOptions);
			});
			$(xml).find("row").each(function() {
				var t = parseInt($(this).find("t").text()) * 1000
				$(this).find("v").each(function(index) {
					var v = parseFloat($(this).text())
					v = v || null
					if (v != null) {
						v = v * 50
						options.series[index].data.push([t, v])
					};
				});
			});
			$.each(series, function(index) {
				options.series.push(series[index]);
			});
			chart = new Highcharts.Chart(options);
		}
	})
}
</script>

</head>
        <body style="margin:0;">
                <div id="container">
                <script>
                        show_graph();
                </script>
                </div>

        </body>
</html>
