<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>DNS monitoring</title>
<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />

<link href="css/bootstrap.min.css" rel="stylesheet">
<link href="css/font-awesome.min.css" rel="stylesheet">
<link href="css/dns.css" rel="stylesheet">

<script src="js/jquery-2.1.1.min.js" type="text/javascript"></script>

<script type="text/javascript">
$( document ).ready(function() {
        doneResizing();
});

$(window).resize(function() {
    clearTimeout(this.id);
    this.id = setTimeout(doneResizing, 500);
});

function doneResizing(){
        var arrClasses = [];
        $("div[class*='graph_div_col-']").each(function () {
            var className = this.className.match(/graph_div_col-[0-9a-z]*/i);
            if (className) {
                arrClasses.push(className[0])
            }
        });
	var number_of_col = arrClasses.length;

	var width_pie_div = 250;
	var height_pie_div = 250;
	var margin_main = 5;
	var margin_header = $('.navbar').height() + margin_main;
	
	$('#main_div').height($(window).height() - margin_header - margin_main);
	$('#main_div').width($(window).width() - (margin_main*2));
	$('.img').width(($('#main_div').width()/3 -10) + 'px');
	$('#main_div').css("margin-top", margin_header+'px');
	$('#main_div').css("margin-bottom", margin_main + 'px');
	$('#main_div').css("margin-left", margin_main + 'px');
	$('#main_div').css("margin-right", margin_main + 'px');

        $.each( arrClasses, function( key, value ) {
                $('.'+value).width(($(window).width() - (margin_main*number_of_col) -10) / number_of_col + 'px');
                $('.'+value).css("display","inline-block");
                $('.'+value).css("position","relative");
                $('.'+value).css("border",1);
        });

	$('.graph').width(($(window).width() - (margin_main*number_of_col) -10) / number_of_col + 'px');
	$('.graph').height('400px')

}
</script>

</head>
<body>
<div class="navbar navbar-default navbar-fixed-top">
	<div class="navbar-header navbar-left title"><h2>DNS monitoring</h2></div>
	<div class="navbar-header navbar-right title">
                <div class="btn-group">
                  <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                    Timespan <span class="caret"></span>
                  </button>
                  <ul class="dropdown-menu scrollable-menu" role="menu">
			<li><a href="grid.php?timespan=Daily">Daily</a></li>
			<li><a href="grid.php?timespan=Weekly">Weekly</a></li>
			<li><a href="grid.php?timespan=Monthly">Monthly</a></li>
			<li><a href="grid.php?timespan=Yearly">Yearly</a></li>
                  </ul>
                </div>
	</div>

</div>

<div id="main_div">	
	<?php 	
		$protocol = 'http'.(!empty($_SERVER['HTTPS']) ? 's' : '');
		$urlfolder = '://'.$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']);
		$timespan = $_GET["timespan"];
		$ini_array = parse_ini_file("rrdconfig.ini",true);
		$xmlpath = $ini_array["config"]["NSXMLPATH"];
		$hosts_arr = explode( ',', $ini_array["config"]["NSNAMES"]);
		foreach ($hosts_arr as $hosts){
			echo "<div class=\"graph_div_col-".$hosts."\">";
			foreach (glob($xmlpath."/*".$hosts."*".$timespan.".xml") as $filename) {
				$filename_short = end(explode('/', $filename));
				$xmltype = explode('_', $filename_short);
				echo '<object class="graph" type="text/html" data="'.$protocol.$urlfolder.'/graph.php?xmlfile='.$filename_short.'&xmlserver='.$hosts.'&xmltype='.strtoupper($xmltype[0]).'&xmltime='.$timespan.'"></object>';
			}
			echo "</div>";
			echo "\n";
		}
	?>	
</div>

<script src="js/bootstrap.min.js"></script>
</body>
</html>
